Bug 46 - DNS lookup is not working
: DNS lookup is not working
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: i586 Linux
: Normal enhancement
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-13 22:26 MSD by Postnikov Dmitry
Modified: 2012-04-18 01:31 MSD (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments
The work of Ping (113.50 KB, image/png)
2012-04-14 02:25 MSD, Postnikov Dmitry
Details
Attachment 2 (41.07 KB, image/png)
2012-04-14 03:01 MSD, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Postnikov Dmitry 2012-04-13 22:26:27 MSD
EN:
Description of problem:
DNS does not work the transformation (IMHO). If the ping command is not at all mail.ru no answers. When the team goes ping 94,100,191,203 fine. If reboot in Windows 7, then ping mail.ru works. If you run LiveCD ROSA 2011 EE ping mail.ru is works.

RU:
Description of problem:
Не работает преобразование DNS (IMHO). При команде ping mail.ru нет вообще никаких ответов. При команде ping 94.100.191.203 пинг проходит отлично. Если презагрузиться в Windows 7, то ping mail.ru работает. Если запустить LiveCD РОСА 2011 ЕЕ ping mail.ru работает.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
Comment 1 Postnikov Dmitry 2012-04-14 02:25:25 MSD
Created attachment 20 [details]
The work of Ping

EN:
The work of Ping

RU:
Работа ping
Comment 2 Aleksandr Kazantcev 2012-04-14 02:30:12 MSD
/sbin/ifconfig

cat /etc/resolv.conf
Comment 3 Aleksandr Kazantcev 2012-04-14 02:33:33 MSD
(In reply to comment #1)
> Created attachment 20 [details]
> The work of Ping
> 
> EN:
> The work of Ping
> 
> RU:
> Работа ping

First string in screenshot 

PING mail.ru (94.100.191.202) 56(84) bytes of data.

see that not problem with DNS. It's work and problem with net config/setup/provides.

I'm test and problem not confirmed.

You may open it later.
Comment 4 Postnikov Dmitry 2012-04-14 02:42:30 MSD
[root@mindlife ~]# ifconfig
eth0      Link encap:Ethernet  HWaddr 00:19:66:E5:26:C4  
          inet addr:192.168.1.2  Bcast:192.168.1.255  Mask:255.255.255.0
          inet6 addr: fe80::219:66ff:fee5:26c4/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:1382096 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1346532 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:2086760771 (1.9 GiB)  TX bytes:100910518 (96.2 MiB)
          Interrupt:41 Base address:0xe000 

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)

[root@mindlife ~]#
============================
[root@mindlife ~]# cat /etc/resolv.conf
# Generated by NetworkManager
nameserver 192.168.1.1
[root@mindlife ~]#
============================

192.168.1.1 - this router. The router gets the DNS automatically and they are all correct. (217.71.224.66 & 217.71.225.66)
Yes, i'm see first string. DNS is work. But then what could be wrong?
Comment 5 Postnikov Dmitry 2012-04-14 03:00:23 MSD
Maybe ping goes, but the screen does not show up. (See attachment 2 [details])
Comment 6 Postnikov Dmitry 2012-04-14 03:01:08 MSD
Created attachment 22 [details]
Attachment 2 [details]

Attachment 2 [details] the screen does not show up